/*
 * Custom code goes here.
 * A template should always ship with an empty custom.css

Extra Extra Smallbrak<  360px   Bardzo małe telefony
Extra Smallxs≥          360px   Standardowe telefony
Smallsm≥                576px   Telefony w poziomieMediummd≥ 768px  
TabletyLarge`lg**≥      992px   LaptopyExtra 
Largexl≥                1200px  Monitory stacjonarne
Extra Extra Largexxl≥   1400px  Duże monitory
*/

@import url("https://fonts.googleapis.com/css2?family=IBM+Plex+Serif:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");

:root,
[data-bs-theme="light"] {
  --bs-primary: #e10717;
  --bs-body-font-family: "Montserrat", "Helvetica Neue", Helvetica, Arial, sans-serif; /* "Inter", sans-serif; */
  --bs-body-font-size: 1rem;
  --bs-body-font-weight: 400;
  --bs-body-line-height: 1.25;
  --bs-body-color: #1b1b1b;
  --bs-body-bg: #ffffff;
  --bs-bg-light: #e2e2e2;
  --bs-link-color: #e10717;
  --bs-link-color-rgb: 233, 27, 37;
  --bs-border-color-translucent: rgba(0, 0, 0, 0.175);
  --bs-btn-hover-color: #ffffff;
  --bs-btn-hover-bg: #e10717;
  --bs-btn-hover-border-color: #e10717;
  --gradient-start: #1b1b1b;
  --gradient-end: #57585b;
  --gradient-background: var(--gradient-start);
  --gradient: linear-gradient(135deg, var(--gradient-start) 0%, var(--gradient-end) 100%);
  --bs-btn-border-radius: 0;
  --bs-warning-border-subtle: var(--gradient-end);
  --bs-warning-text-emphasis: var(--bs-body-color);
  --bs-alert-bg: var(--bs-bg-light);
  --bs-warning-bg-subtle: var(--bs-bg-light);
  --bs-alert-border-color: var(--bs-warning-border-subtle);
  --bs-alert-link-color: var(--bs-warning-text-emphasis);
  --bs-border-radius: 0;
  --bs-nav-tabs-link-active-border-color: transparent transparent transparent;
}
body {
  /* font-family: "Montserrat", "Helvetica Neue", Helvetica, Arial, sans-serif; */
  font-optical-sizing: auto;
  /* font-weight: 400; */
  font-style: normal;
}

@media (min-width: 1200px) {
  .h3,
  h3 {
    font-size: 1.75rem;
  }
}
.h3,
h3 {
  font-size: calc(1.3rem + 0.6vw);
}
.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--bs-heading-color);
  font-weight: 600;
  line-height: 1.2;
  /* margin-bottom: 0.5rem;
  margin-top: 0; */
}
*,
::after,
::before {
  box-sizing: border-box;
}
.btn {
  border-radius: 0;
}

.btn-link {
  color: #e10717;
}

.btn-link:hover {
  color: #ffffff;
}

.btn-primary {
  --bs-btn-color: #ffffff;
  --bs-btn-bg: #e10717;
  --bs-btn-border-color: #e10717;
  --bs-btn-hover-color: #ffffff;
  --bs-btn-hover-bg: #57585b;
  --bs-btn-hover-border-color: #57585b;
  --bs-btn-focus-shadow-rgb: 49, 132, 253;
  --bs-btn-active-color: #ffffff;
  --bs-btn-active-bg: #e10717;
  --bs-btn-active-border-color: #e10717;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #ffffff;
  --bs-btn-disabled-bg: #ff7982;
  --bs-btn-disabled-border-color: #ff7982;
}

.btn:hover {
  background-color: #e10717;
  border-color: #e10717;
  color: #ffffff;
}

.btn-outline-primary {
  --bs-btn-color: #e10717;
  --bs-btn-border-color: #e10717;
}

.badge {
  background-color: var(--bs-primary);
  margin: 0.25rem;
}

.card a:not(.btn) {
  color: #38393b;
}

input[type="checkbox"] {
  font-size: 1.2rem;
  border: 2px solid #38393b;
}

/** HEADER */
.header-top,
.header-top .material-icons {
  color: var(--header-color);
}
.header-bottom,
.header-bottom .material-icons {
  color: #ffffff;
}
.header-bottom,
.header-bottom .material-icons.search {
  color: var(--header-color);
}
.header-bottom #mobileMenu .material-icons {
  color: var(--header-color);
}

.header-bottom {
  --header-bottom-border-bottom: none;
}
.header,
.header-bottom__container,
.header-bottom__row {
  background: var(--bs-body-color);
  /* padding: 0 1rem; */
}
.header .header-bottom a:not(.dropdown-item):not(.btn) {
  color: #ffffff;
}
.header .js-menu-current a:not(.dropdown-item):not(.btn),
.main-menu__tree__link.dropdown-item,
.header-block__action-btn {
  color: var(--header-color);
}
/* HEADER */

/** SLIDER */
#home-slider {
  max-height: 500px;
  background: var(--gradient-background);
  background: var(--gradient);
  /* background-position: right center;
  background-repeat: no-repeat; */
}

#home-slider .carousel .carousel-content .carousel-caption.caption > .caption-description {
  font-size: 1rem;
}

#home-slider .carousel .carousel-caption {
  color: #ffffff;
  text-align: left;
  margin-left: 4em;
  left: 50%;
  width: 100%;
  max-width: 40vw;
  display: flex;
  flex-direction: column;
}

#home-slider .carousel {
  --slider-subtitle-weight: 700;
}

#home-slider .carousel .carousel-caption .caption-description .h3,
#home-slider .carousel .carousel-caption .caption-description h3 {
  font-size: 1rem;
  line-height: 1.25rem;
  margin: 1rem 0;
}
#home-slider .carousel .carousel-content .h3,
#home-slider .carousel .carousel-content h3 {
  font-weight: var(--slider-subtitle-weight);
}

@media (min-width: 768px) {
  #home-slider .ratio-homeSlider {
    --bs-aspect-ratio: 23.33333%;
  }
}
#home-slider.ratio-homeSlider {
  --bs-aspect-ratio: 42.85714%;
}

#home-slider .carousel-item.active {
  overflow: hidden;
}

#home-slider .carousel .carousel-content {
  display: flex;
  flex-direction: row; /* Zmiana układu na dwie kolumny */
  align-items: stretch;
  height: auto;
}

#home-slider .carousel .carousel-content img {
  flex: 0 0 50%; /* Każdy element zajmuje dokładnie 50% */
  max-width: 50%;
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}

#home-slider .carousel .carousel-caption .caption-description {
  max-width: 40ch;
}

#home-slider .carousel .carousel-content .carousel-caption.caption h2 {
  font-family: "IBM Plex Serif", serif;
  font-weight: 200;
  font-style: normal;
  text-transform: none !important;
  position: relative;
  font-size: 3.4rem;
}
@media (max-width: 768px) {
  #home-slider .carousel .carousel-content .carousel-caption.caption h2 {
    font-size: 2.5rem;
  }
}

#home-slider .carousel .carousel-content .carousel-caption.caption h2::before {
  content: ""; /* Wymagane, aby pseudoelement się pojawił */
  display: inline-block; /* Pozwala na ustawienie szerokości i wysokości */
  width: 0.75em;
  height: 0.75em; /* Wysokość kwadratu */
  background-color: var(--bs-btn-hover-bg); /* Kolor kwadratu */
  margin-right: 10px; /* Odstęp od tekstu nagłówka */
  vertical-align: middle; /* Wyśrodkowanie kwadratu względem tekstu */
  position: absolute;
  left: -1em;
  top: 0.33em;
}

#home-slider .carousel .carousel-content p {
  color: #ffffff;
}
/* SLIDER ICON => */
#home-slider .carousel-control-prev-icon,
#home-slider .carousel-control-next-icon {
  width: 10px;
  height: 10px;
  position: relative;
  background-image: none;
}
#home-slider .carousel-control-next-icon::before,
#home-slider .carousel-control-prev-icon::before {
  color: white;
  border-right: 2px solid white;
  border-bottom: 2px solid white;
  content: "";
  position: absolute;
  width: 16px;
  height: 16px;
}

#home-slider .carousel-control-next-icon::before {
  transform: rotate(-45deg);
  left: -0.4em;
}
#home-slider .carousel-control-prev-icon::before {
  transform: rotate(135deg);
  left: 0em;
}

#home-slider .carousel .carousel-control-next,
#home-slider .carousel .carousel-control-prev {
  background: #000;
  border-radius: 0;
  height: 4rem;
  width: 4rem;
  transform: translateY(-50%);
  opacity: 0.3;
}

#home-slider .carousel .carousel-control-next {
  right: 50%;
  bottom: 2rem;
  top: unset;
}
#home-slider .carousel .carousel-control-prev {
  right: 50%;
  top: unset;
  bottom: -2em;
  position: absolute;
  left: unset;
}

#home-slider .carousel .carousel-control-next:hover,
#home-slider .carousel .carousel-control-prev:hover {
  opacity: 1;
  background-color: var(--bs-btn-hover-bg);
  z-index: 2;
}
/* <-SLIDER ICON */

#home-slider .carousel-indicators {
  left: 50%;
  align-content: end;
}
#home-slider .carousel-indicators [data-bs-target] {
  flex: 0 0 auto;
}

#home-slider .carousel-indicators button {
  border-radius: 0;
}

@media (max-width: 576px) {
  #home-slider .carousel .carousel-caption {
    top: 33%;
  }

  #home-slider .carousel .carousel-control-next,
  #home-slider .carousel .carousel-control-prev {
    width: 3rem;
    height: 3rem;
  }
  #home-slider .carousel .carousel-control-next {
    right: 50%;
    bottom: 1.5rem;
  }
  #home-slider .carousel .carousel-control-prev {
    bottom: -1.5rem;
  }
  #home-slider .carousel .carousel-content .carousel-caption.caption {
    scale: 0.6;
    margin-left: 1rem;
    max-width: 50vw;
    margin-top: -1rem;
  }
}

@media (max-width: 360px) {
  #home-slider .carousel figure.carousel-content {
    overflow: hidden;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: stretch;
    gap: 0;
    margin: 0;
    max-height: 100%;
    height: 100%;
    width: 100%;
    position: relative;
  }
  #home-slider .carousel figure.carousel-content img {
    order: 1;
    max-width: 100%;
    max-height: 60%;
    top: unset;
    transform: unset;
    width: 100%;
    flex: 1; /* Zajmuje całą dostępną przestrzeń na górze */
    object-fit: cover; /* Kluczowe: wypełnia obszar bez rozciągania */
    display: block;
  }

  #home-slider .carousel figure.carousel-content figcaption.carousel-caption.caption {
    order: 2;
    margin-left: 0;
    max-width: calc(100% + 3rem);
    width: calc(100% + 3rem);
    transform: unset;
    position: relative;
    left: -1rem;
    top: 50%;
    min-height: 200px; /* Gwarantuje odpowiednią wysokość szarego pola */
    box-sizing: border-box;
    padding: 0.5rem;
  }

  #home-slider .carousel .carousel-content .carousel-caption.caption h2::before {
    width: 2rem;
    height: 2rem;
    margin-left: -0.4rem;
  }
  #home-slider .carousel .carousel-content .carousel-caption.caption h2 {
    font-size: 2.2rem;
    margin: 0;
  }
  #home-slider .carousel .carousel-content .carousel-caption.caption h3 {
    font-size: 1.2rem;
    margin: 0.4rem 0;
  }
  #home-slider .carousel .carousel-content .carousel-caption.caption > * {
    font-size: 1rem;
    line-height: normal;
  }

  #home-slider .carousel .carousel-control-next span,
  #home-slider .carousel .carousel-control-prev span {
    scale: 0.6;
  }
  #home-slider .carousel .carousel-control-next,
  #home-slider .carousel .carousel-control-prev {
    width: 2rem;
    height: 2rem;
  }
  #home-slider .carousel .carousel-control-next {
    right: 0;
    bottom: 6.5rem;
  }
  #home-slider .carousel .carousel-control-prev {
    right: 0;
    bottom: 8.5rem;
  }
  #home-slider .carousel-indicators {
    bottom: -1rem;
    margin-right: 0;
    justify-content: end;
  }
}

/* MENU >>> */

.menu.menu--mobile > ul {
  justify-content: center;
  display: inline-flex;
  flex-direction: column;
  width: 100%;
}
.menu.menu--mobile > ul > li {
  border-bottom: 1px solid gray;
  min-height: 3rem;
  display: flex;
  align-items: center;
}
.menu.menu--mobile > ul > li:hover {
  background-color: var(--bs-gray-200);
  font-weight: 900;
}

.main-menu__tree > li .menu-container {
  padding: 1rem 0 0;
}

.main-menu__tree > li .menu-container > .container > ul {
  background-image: url("/img/_bgs/one_for_all_bg_menu_.01.jpg");
  background-size: cover;
  background-position: right bottom;
  padding-bottom: 3rem;
  margin: 0 1rem;
}

.main-menu__tree ul[data-depth="1"].row {
  display: flex;
  flex-wrap: wrap;
  padding: 0;
  flex-direction: column;
}

.main-menu__tree ul[data-depth="1"].row > li {
  border-bottom: 1px solid var(--gradient);
  margin-top: 0;
  width: 33.3333%;
}

.main-menu__tree > li .menu-container a[data-depth="1"]::after {
  display: inline-block;
}

.main-menu__tree li:hover a::after,
.main-menu__tree li:focus a::after {
  content: "";
  border: solid transparent;
  border-width: 0.4em;
  border-left-color: var(--bs-primary);
  display: inline-block;
  margin-left: 0.5rem;
  vertical-align: middle;
}
@media (min-width: 1200px) {
  .category {
    display: inline-block;
    padding: 0.5rem;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
  }
}
li.category {
  transition: all 0.3s ease;
}

li.category:hover {
  padding-left: 0.8rem;
}

/* <<< MENU */

/* PRODUCT PAGE >>> */
#product .row,
.product {
  position: relative;
}
.product__col {
  position: sticky;
  top: 180px;
  height: fit-content;
}
#product-infos-accordion > div {
  scroll-behavior: smooth;
  scroll-margin-top: 180px;
}
#product-tabs.nav.nav-tabs {
  white-space: nowrap;
  flex-wrap: nowrap;
  display: flex;
  gap: 0;
}
#product-tabs.nav.nav-tabs > .nav-item:not(:last-child) {
  border-right: 1px solid var(--bs-primary);
  /* padding-right: .5rem; */
}
#product-tabs .nav-link {
  padding: 0.5rem;
}

#product-tabs .nav-tabs .nav-link.active {
  border-color: transparent;
}

#product-infos-accordion .collapse:not(.show) {
  display: flex;
}
.page-product .product__infos .accordion-body {
  width: 100%;
}

/* #product .accordion-item {
  padding: 1rem;
} */

#product .accordion-item h2 button::before {
  content: "";
  position: relative;
  width: 1em;
  height: 1em;
  background: var(--bs-primary);
  top: 0;
  left: 0;
  margin-right: 0.5em;
}

#product .accordion-button::after {
  background-image: none;
}

#product #product-availability {
  display: none;
}

#product .a_back {
  margin-left: calc(100% - 4ch);
  font-size: 0.8rem;
  color: #fff;
  background: red;
  place-items: center;
  display: flex;
  width: 2em;
}
@media (min-width: 768px) {
  .product__details,
  .product__features {
    column-count: 2;
    column-gap: 1rem;
    gap: 1rem;
  }
  .detail {
    gap: 1rem;
    break-inside: avoid; /* Zapobiega rozrywaniu elementu między kolumnami */
  }
}

.product__details .img-fluid,
.img-thumbnail {
  height: auto;
  max-width: 100%;
  max-height: 2rem;
  width: auto;
}

@media (max-width: 768px) {
  #product-tabs.nav {
    --bs-nav-link-font-size: 0.8rem;
    --bs-nav-link-font-weight: 300;
  }
}

@media (max-width: 360px) {
  #product-tabs.nav {
    --bs-nav-link-font-size: 0.6rem;
    --bs-nav-link-font-weight: 300;
  }
}

#product-tabs.info__content.accordion-collapse.collapse {
  display: block;
}

.product__tabs {
  z-index: 1;
  position: sticky;
  top: 165px;
  background-color: var(--bs-body-bg);
  justify-content: center;
  display: flex;
  border-bottom: 1px solid var(--bs-primary);
}

@media (max-width: 1200px) {
  .product__tabs {
    top: 136px;
  }
}

@media (max-width: 768px) {
  .product__tabs {
    top: 82px;
  }
}

.product__tabs a {
  color: var(--bs-btn-bg);
}

.thumbnails__list {
  display: flex;
  flex-wrap: nowrap;
  overflow: hidden;
  flex-wrap: wrap;
  /* gap: 8px; */
  list-style: none;
  padding: 0;
  margin: 0;
  overflow: hidden;
  max-height: 90px;
  transition: max-height 1s ease-in-out;
}
.thumbnails__list:hover {
  max-height: 800px;
}
.wishlist-button-add.wishlist-button-product {
  align-self: center;
}
/* każda miniatura zdjęcia od 5 do końca jest mniejszy o połowę */

/* .thumbnail:nth-child(n+5) {
  flex: 0 0 auto;
  width: 50px;
  height: 50px;
  object-fit: cover;
  margin-right: 0.5rem;
  cursor: pointer;
} */

.product__description .section,
.product-section {
  display: flex;
  background-color: var(--gradient);
  max-width: 1200px;
  margin: 0 auto;
}

/* dla mobile elementy w pionie jako kolumny */
@media (max-width: 576px) {
  .product__description .section,
  .product-section {
    flex-direction: column;
    margin-bottom: 1rem;
  }
  .product-section .product-section__media {
    max-width: 100%;
  }
}
@media (min-width: 577px) {
  .product__description .section,
  .product-section {
    flex-direction: row;
  }
  .product-section .product-section__media {
    max-width: 50%;
  }
}

.product-section:nth-child(even) {
  background-color: var(--gradient-end);
  color: #ffffff;
}
.product-section:nth-child(even) h5 {
  color: #ffffff;
}

@media (max-width: 577px) {
  .product-section .product-section__content {
    order: 2;
  }
}

.product-lead p {
  text-align: center;
  font-family: "IBM Plex Serif", serif;
  font-weight: 300;
  margin-bottom: 1rem;
  font-size: clamp(1rem, 2.5vw, 1.25rem);
  line-height: 1.8rem;
  padding: 0 3rem 1rem;
}

@media (max-width: 577px) {
  .product-lead p {
    padding: 0 1rem 1rem;
  }
}

.product__description .section > * .product-section > * {
  flex: 1 1 0;
  flex-direction: column;
  display: flex;
  overflow: hidden;
  justify-content: center;
  align-items: center;
}

.product-section .product-section__media {
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}
.product-section .product-section__media img {
  height: 100%;
  width: 100%;
  object-fit: cover; /* Magiczna właściwość: wypełnia i przycina */
  object-position: center; /* Pilnuje, by środek zdjęcia był widoczny*/
}

.product-section .product-section__content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 0 1rem;
  flex: 1 1 0;
  text-align: center;
}
.product-section .product-section__content h5 {
  font-family: "IBM Plex Serif", serif;
  font-weight: 300;
  margin-bottom: 0.75rem;
}
.product-section .product-section__content p {
  /* font-size: 1.4cqw; */
  font-size: clamp(0.75rem, 1.8cqw, 1rem);
}

.product__col {
  grid-template-columns: 4fr 1fr;
}

.product__name {
  grid-column: 1 / span 2;
}
.product-add-to-cart .product-actions__quantity {
  display: none;
}

.page-product .product__add-to-cart .product-actions__button button {
  white-space: nowrap;
}

@media (max-width: 576px) {
  .page-product .product__add-to-cart .product-actions__button button,
  .page-product button.post-product-comment {
    font-size: 0;
    width: 100%;
  }
}

.wishlist-button-product {
  margin-left: auto !important;
  margin: 1.4rem auto;
}

#product-images.carousel .carousel-control-next,
#product-images.carousel .carousel-control-prev {
  background-color: var(--bs-bg-light);
  border: none;
  opacity: 0.3;
  border-radius: 0;
  transition: all 0.3s ease-in;
}

.carousel .carousel-control-next {
  right: 0;
}
.carousel .carousel-control-prev {
  left: 0;
}
#product-images.carousel:hover .carousel-control-next,
#product-images.carousel:hover .carousel-control-prev {
  opacity: 0.6;
  background-color: var(--gradient-end);
}
/* <<< PRODUCT PAGE */

#cookie-change-button button img {
  filter: grayscale();
  max-height: 2rem;
  max-width: 2rem;
}

.page-home #custom-text {
  margin-bottom: 1rem;
}
